﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.IO;
using MySql.Data.MySqlClient;

namespace SemicolonBug
{
    class Program
    {
        static void Main(string[] args)
        {
            string query = args[1];
            Console.WriteLine("Query: " + query);
            MySqlConnection cn = new MySqlConnection(args[0]);
            MySqlDataAdapter da = new MySqlDataAdapter(query, cn);
            DataTable dt = new DataTable();
            try
            {
                da.Fill(dt);
                //Console.WriteLine("Connection_ID: " + dt.ToString());
            }
            catch (MySqlException mex)
            {
                Console.WriteLine("Exception number: " + mex.Number.ToString() + " Exception text: " + mex.Message);
            }
        }
    }
}
